# This file created by conda-build 24.11.2
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Wed Dec  4 11:16:29 2024
# ------------------------------------------------

package:
  name: argon2-cffi
  version: 23.1.0
source:
  sha256: 879c3e79a2729ce768ebb7d36d4609e3a78a4ca2ec3a9f12286ca057e3d0db08
  url: https://pypi.org/packages/source/a/argon2-cffi/argon2_cffi-23.1.0.tar.gz
build:
  noarch: python
  number: '1'
  script: /home/conda/feedstock_root/build_artifacts/argon2-cffi_1733311059102/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/bin/python
    -m pip install . -vv
  string: pyhd8ed1ab_1
requirements:
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h4bc722e_7
    - ca-certificates 2024.8.30 hbcca054_0
    - editables 0.5 pyhd8ed1ab_1
    - hatch-fancy-pypi-readme 24.1.0 pyhd8ed1ab_1
    - hatch-vcs 0.4.0 pyhd8ed1ab_1
    - hatchling 1.26.3 pypyhff2d567_0
    - importlib-metadata 8.5.0 pyha770c72_1
    - ld_impl_linux-64 2.43 h712a8e2_2
    - libffi 3.4.2 h7f98852_5
    - libgcc 14.2.0 h77fa898_1
    - libgcc-ng 14.2.0 h69a702a_1
    - libgomp 14.2.0 h77fa898_1
    - libnsl 2.0.1 hd590300_0
    - libsqlite 3.47.0 hadc24fc_1
    - libuuid 2.38.1 h0b41bf4_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.3.1 hb9d3cd8_2
    - ncurses 6.5 he02047a_1
    - openssl 3.4.0 hb9d3cd8_0
    - packaging 24.2 pyhd8ed1ab_2
    - pathspec 0.12.1 pyhd8ed1ab_1
    - pip 24.3.1 pyh8b19718_0
    - pluggy 1.5.0 pyhd8ed1ab_1
    - python 3.9.20 h13acc7a_1_cpython
    - readline 8.2 h8228510_1
    - setuptools 75.6.0 pyhff2d567_1
    - setuptools-scm 8.1.0 pyhd8ed1ab_1
    - tk 8.6.13 noxft_h4845f30_101
    - tomli 2.2.1 pyhd8ed1ab_1
    - trove-classifiers 2024.10.21.16 pyhd8ed1ab_1
    - typing-extensions 4.12.2 hd8ed1ab_1
    - typing_extensions 4.12.2 pyha770c72_1
    - tzdata 2024b hc8b5060_0
    - wheel 0.45.1 pyhd8ed1ab_1
    - xz 5.2.6 h166bdaf_0
    - zipp 3.21.0 pyhd8ed1ab_1
  run:
    - argon2-cffi-bindings
    - python >=3.9
    - typing-extensions
  run_constrained:
    - argon2_cffi ==999
test:
  commands:
    - pip check
  imports:
    - argon2
  requires:
    - pip
    - python 3.9.*
about:
  description: 'Argon2 won the Password Hashing Competition and argon2_cffi is the
    simplest

    way to use it in Python and PyPy

    '
  dev_url: https://github.com/hynek/argon2_cffi/
  doc_url: https://argon2-cffi.readthedocs.io/en/stable/
  home: https://argon2-cffi.readthedocs.org/
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: The secure Argon2 password hashing algorithm.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: azure_20241204.2.1
  recipe-maintainers:
    - stuertz
  remote_url: https://github.com/conda-forge/argon2_cffi-feedstock
  sha: 259a6ff234cb3991627bd6f8c9bb1656ab4d7824
